#!/bin/bash

function gpio_in() {
        echo gpio_in  $1 $2
        echo $1 > /sys/class/gpio/export
        ln -s /sys/class/gpio/gpio$1 /dev/$2
        echo in > /dev/$2/direction
}

function gpio_out() {
        echo gpio_out $1 $2
        echo $1 > /sys/class/gpio/export
        ln -s /sys/class/gpio/gpio$1 /dev/$2
        echo out > /dev/$2/direction
}

#      GPIO name
gpio_in 30  sw0
gpio_in 60  sw1
gpio_in 31  sw2
gpio_in 3   sw3
gpio_in 2   sw4
gpio_in 61  sw5

gpio_in 15  ext_in0
gpio_in 14  ext_in1
gpio_in 66  ext_in2
gpio_in 67  ext_in3
gpio_in 69  ext_in4
gpio_in 68  ext_in5

gpio_out 45 led0r
gpio_out 44 led0g
gpio_out 26 led1r
gpio_out 47 led1g
gpio_out 46 led2r
gpio_out 27 led2g

gpio_out 50 ext_out0
gpio_out 48 ext_out1
gpio_out 51 ext_out2
gpio_out 49 ext_out3
gpio_out 115 ext_out4
gpio_out 23 ext_out5
gpio_out 65 ext_out6
gpio_out 22 ext_out7

